Interface Technology Basics: PClassInfoW Struct Reference
Author: Steinberg

Interface Technology Basics VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Public Attributes | List of all members
PClassInfoW Struct Reference

Unicode Version of Basic Information about a class provided by the plug-in. More...

`#include <ipluginbase.h>`

## Public Types
enum | { kVendorSize = 64 , kVersionSize = 64 , kSubCategoriesSize = 128 }

## Public Member Functions
| PClassInfoW (const TUID _cid, int32 _cardinality, const char8 *_category, const char16 *_name, int32 _classFlags, const char8 *_subCategories, const char16 *_vendor, const char16 *_version, const char16 *_sdkVersion)
| PClassInfoW ()
void | fromAscii (const PClassInfo2 &ci2)

## Public Attributes
TUID | cid
| see PClassInfo
int32 | cardinality
| see PClassInfo
char8 | category [PClassInfo::kCategorySize]
| see PClassInfo
char16 | name [PClassInfo::kNameSize]
| see PClassInfo
uint32 | classFlags
| flags used for a specific category, must be defined where category is defined
char8 | subCategories [kSubCategoriesSize]
| module specific subcategories, can be more than one, logically added by the OR operator
char16 | vendor [kVendorSize]
| overwrite vendor information from factory info
char16 | version [kVersionSize]
| Version string (e.g.
char16 | sdkVersion [kVersionSize]
| SDK version used to build this class (e.g.

## Detailed Description

Unicode Version of Basic Information about a class provided by the plug-in.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
kVendorSize |
kVersionSize |
kSubCategoriesSize |

## Constructor & Destructor Documentation

## ◆ PClassInfoW() [1/2]

PClassInfoW | ( | const TUID | _cid,
|  | int32 | _cardinality,
|  | const char8 * | _category,
|  | const char16 * | _name,
|  | int32 | _classFlags,
|  | const char8 * | _subCategories,
|  | const char16 * | _vendor,
|  | const char16 * | _version,
|  | const char16 * | _sdkVersion )
| inline

## ◆ PClassInfoW() [2/2]

PClassInfoW | ( |  | ) |
| inline

## Member Function Documentation

## ◆ fromAscii()

void fromAscii | ( | const PClassInfo2 & | ci2 | ) |
| inline

## Member Data Documentation

## ◆ cid

TUID cid

see PClassInfo

## ◆ cardinality

int32 cardinality

see PClassInfo

## ◆ category

char8 category[PClassInfo::kCategorySize]

see PClassInfo

## ◆ name

char16 name[PClassInfo::kNameSize]

see PClassInfo

## ◆ classFlags

uint32 classFlags

flags used for a specific category, must be defined where category is defined

## ◆ subCategories

char8 subCategories[kSubCategoriesSize]

module specific subcategories, can be more than one, logically added by the OR operator

## ◆ vendor

char16 vendor[kVendorSize]

overwrite vendor information from factory info

## ◆ version

char16 version[kVersionSize]

Version string (e.g.

"1.0.0.512" with Major.Minor.Subversion.Build)

## ◆ sdkVersion

char16 sdkVersion[kVersionSize]

SDK version used to build this class (e.g.

"VST 3.0")

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.